aboutsummaryrefslogtreecommitdiffstats
path: root/qtchess/watch
diff options
context:
space:
mode:
Diffstat (limited to 'qtchess/watch')
-rwxr-xr-xqtchess/watch20
1 files changed, 20 insertions, 0 deletions
diff --git a/qtchess/watch b/qtchess/watch
new file mode 100755
index 0000000..05d5681
--- /dev/null
+++ b/qtchess/watch
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+[ -f 'index.html' ] && rm 'index.html'
+wget http://qtchess.sourceforge.net/ >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ grep 'has been released' < index.html | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'dooble'
+ fi
+ rm index.html
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'dooble (unfetchable)'
+fi
+